netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
precompose.h File Reference

Go to the source code of this file.

## Macros
#define | SBASE 0xAC00
#define | LBASE 0x1100
#define | VBASE 0x1161
#define | TBASE 0x11A7
#define | LCOUNT 19
#define | VCOUNT 21
#define | TCOUNT 28
#define | NCOUNT 588 /* (VCOUNT * TCOUNT) */
#define | SCOUNT 11172 /* (LCOUNT * NCOUNT) */
#define | PRECOMP_COUNT 955
#define | DECOMP_COUNT 955
#define | MAXCOMBLEN 3
#define | PRECOMP_SP_COUNT 46
#define | DECOMP_SP_COUNT 46
#define | MAXCOMBSPLEN 4
#define | COMBBUFLEN 4 /* max(MAXCOMBLEN,MAXCOMBSPLEN) */

## Variables
struct { |
unsigned int replacement |
unsigned int base |
unsigned int comb |
} | precompositions []
struct { |
unsigned int replacement |
unsigned int base |
unsigned int comb |
} | decompositions []
struct { |
unsigned int replacement_sp |
unsigned int base_sp |
unsigned int comb_sp |
} | precompositions_sp []
struct { |
unsigned int replacement_sp |
unsigned int base_sp |
unsigned int comb_sp |
} | decompositions_sp []

## Macro Definition Documentation

## ◆ COMBBUFLEN

#define COMBBUFLEN 4 /* max(MAXCOMBLEN,MAXCOMBSPLEN) */

## ◆ DECOMP_COUNT

#define DECOMP_COUNT 955

## ◆ DECOMP_SP_COUNT

#define DECOMP_SP_COUNT 46

## ◆ LBASE

#define LBASE 0x1100

## ◆ LCOUNT

#define LCOUNT 19

## ◆ MAXCOMBLEN

#define MAXCOMBLEN 3

## ◆ MAXCOMBSPLEN

#define MAXCOMBSPLEN 4

## ◆ NCOUNT

#define NCOUNT 588 /* (VCOUNT * TCOUNT) */

## ◆ PRECOMP_COUNT

#define PRECOMP_COUNT 955

## ◆ PRECOMP_SP_COUNT

#define PRECOMP_SP_COUNT 46

## ◆ SBASE

#define SBASE 0xAC00

## ◆ SCOUNT

#define SCOUNT 11172 /* (LCOUNT * NCOUNT) */

## ◆ TBASE

#define TBASE 0x11A7

## ◆ TCOUNT

#define TCOUNT 28

## ◆ VBASE

#define VBASE 0x1161

## ◆ VCOUNT

#define VCOUNT 21

## Variable Documentation

## ◆ base

unsigned int base

## ◆ base_sp

unsigned int base_sp

## ◆ comb

unsigned int comb

## ◆ comb_sp

unsigned int comb_sp

## ◆ [struct]

const struct { ... } decompositions[]

## ◆ [struct]

const struct { ... } decompositions_sp[]

## ◆ [struct]

const struct { ... } precompositions[]

## ◆ [struct]

const struct { ... } precompositions_sp[]

## ◆ replacement

unsigned int replacement

## ◆ replacement_sp

unsigned int replacement_sp